2.42.0 (latest) 2.41.0 2.40.0 2.39.0 2.38.0 2.37.0 2.36.0 2.35.0 2.34.0 2.33.0 2.32.0 2.31.0 2.30.1 2.29.0 2.28.1 2.26.0 2.25.0 2.24.0 2.23.1 2.22.0 2.21.0 2.20.0 2.19.0 2.18.1 2.17.0 2.16.0 2.15.0 2.14.1 2.13.2 2.12.0 2.11.3 2.10.1 2.9.0 2.8.1 2.7.1 2.6.0 2.5.2 2.4.0 2.3.3 2.2.0 2.1.0 2.0.0 1.7.3 1.6.1 1.5.1 1.4.0 1.3.0 1.2.1 1.1.0 1.0.0 0.34.0 This module provides the SqlType class used for specifying types in
ExecuteQuery and some utilities.

The SqlTypes are used in Metadata returned by the ExecuteQuery operation as well
as for specifying query parameter types explicitly.

### *class* google.cloud.bigtable.data.execute_query.metadata.Metadata(columns: [Optional](https://docs.python.org/3/library/typing.html#typing.Optional)\[[List](https://docs.python.org/3/library/typing.html#typing.List)\[[Tuple](https://docs.python.org/3/library/typing.html#typing.Tuple)\[[Optional](https://docs.python.org/3/library/typing.html#typing.Optional)\[[str](https://docs.python.org/3/library/stdtypes.html#str)\], google.cloud.bigtable.data.execute_query.metadata.SqlType.Type\]\]\] = None)

Bases: [`object`](https://docs.python.org/3/library/functions.html#object)

Metadata class for the ExecuteQuery operation.

- **Parameters**

  **columns** (*List* *\[* *Tuple* *\[* *Optional* *\[* [*str*](https://docs.python.org/3/library/stdtypes.html#str)*\]* *, \*\*SqlType.Type* *\]* *\]*) -- List of column
  metadata tuples. Each tuple contains the column name and the column
  type.

### *class* google.cloud.bigtable.data.execute_query.metadata.SqlType()

Bases: [`object`](https://docs.python.org/3/library/functions.html#object)

Classes denoting types of values returned by Bigtable's ExecuteQuery operation.

Used in `Metadata`.

#### *class* Array(element_type: google.cloud.bigtable.data.execute_query.metadata.SqlType.Type)

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Array SQL type.

#### *class* Bool()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Bool SQL type.

#### expected_type()

alias of [`bool`](https://docs.python.org/3/library/functions.html#bool)

#### *class* Bytes()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Bytes SQL type.

#### expected_type()

alias of [`bytes`](https://docs.python.org/3/library/stdtypes.html#bytes)

#### *class* Date()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Date SQL type.

#### expected_type()

alias of [`datetime.date`](https://docs.python.org/3/library/datetime.html#datetime.date)

#### *class* Enum()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Enum SQL type.

#### *class* Float32()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Float32 SQL type.

#### expected_type()

alias of [`float`](https://docs.python.org/3/library/functions.html#float)

#### *class* Float64()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Float64 SQL type.

#### expected_type()

alias of [`float`](https://docs.python.org/3/library/functions.html#float)

#### *class* Int64()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Int64 SQL type.

#### expected_type()

alias of [`int`](https://docs.python.org/3/library/functions.html#int)

#### *class* Map(key_type: google.cloud.bigtable.data.execute_query.metadata.SqlType.Type, value_type: google.cloud.bigtable.data.execute_query.metadata.SqlType.Type)

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Map SQL type.

#### *class* Proto()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Proto SQL type.

#### *class* String()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

String SQL type.

#### expected_type()

alias of [`str`](https://docs.python.org/3/library/stdtypes.html#str)

#### *class* Struct(fields: [Optional](https://docs.python.org/3/library/typing.html#typing.Optional)\[[List](https://docs.python.org/3/library/typing.html#typing.List)\[[Tuple](https://docs.python.org/3/library/typing.html#typing.Tuple)\[[Optional](https://docs.python.org/3/library/typing.html#typing.Optional)\[[str](https://docs.python.org/3/library/stdtypes.html#str)\], google.cloud.bigtable.data.execute_query.values.T\]\]\] = None)

Bases: `google.cloud.bigtable.data.execute_query.values._NamedList`\[`google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`\], `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Struct SQL type.

#### *class* Timestamp()

Bases: `google.cloud.bigtable.data.execute_query.metadata.SqlType.Type`

Timestamp SQL type.

Timestamp supports `DatetimeWithNanoseconds` but Bigtable SQL does
not currently support nanoseconds precision. We support this for potential
compatibility in the future. Nanoseconds are currently ignored.